"use strict";
const sass_disabled_rule_1 = require("./module/sass/rule/sass_disabled_rule");
const sass_general_rule_1 = require("./module/sass/rule/sass_general_rule");
const sass = {
    customSyntax: 'postcss-scss',
    plugins: ['stylelint-scss'],
    rules: {
        ...sass_disabled_rule_1.sassDisabledRule,
        ...sass_general_rule_1.sassGeneralRule
    }
};
module.exports = sass;
//# sourceMappingURL=sass.js.map