declare const sassGeneralRule: {
    'scss/at-each-key-value-single-line': boolean;
    'scss/at-else-closing-brace-newline-after': string;
    'scss/at-else-closing-brace-space-after': string;
    'scss/at-else-if-parentheses-space-before': string;
    'scss/at-extend-no-missing-placeholder': boolean;
    'scss/at-function-named-arguments': string;
    'scss/at-function-parentheses-space-before': string;
    'scss/at-function-pattern': string;
    'scss/at-if-no-null': boolean;
    'scss/at-import-partial-extension-blacklist': string[];
    'scss/at-mixin-argumentless-call-parentheses': string;
    'scss/at-mixin-parentheses-space-before': string;
    'scss/at-mixin-pattern': string;
    'scss/at-rule-no-unknown': boolean;
    'scss/at-use-no-redundant-alias': boolean;
    'scss/at-use-no-unnamespaced': boolean;
    'scss/block-no-redundant-nesting': boolean;
    'scss/comment-no-empty': boolean;
    'scss/declaration-nested-properties': string;
    'scss/dollar-variable-colon-newline-after': string;
    'scss/dollar-variable-colon-space-after': string;
    'scss/dollar-variable-colon-space-before': string;
    'scss/dollar-variable-first-in-block': boolean;
    'scss/dollar-variable-no-namespaced-assignment': boolean;
    'scss/dollar-variable-pattern': string;
    'scss/double-slash-comment-whitespace-inside': string;
    'scss/function-calculation-no-interpolation': boolean;
    'scss/function-color-relative': boolean;
    'scss/function-no-unknown': boolean;
    'scss/function-quote-no-quoted-strings-inside': boolean;
    'scss/function-unquote-no-unquoted-strings-inside': boolean;
    'scss/load-no-partial-leading-underscore': boolean;
    'scss/no-duplicate-mixins': boolean;
    'scss/no-global-function-names': boolean;
    'scss/operator-no-unspaced': boolean;
    'scss/percent-placeholder-pattern': string;
    'scss/property-no-unknown': boolean;
    'scss/selector-no-redundant-nesting-selector': boolean;
    'scss/selector-no-union-class-name': boolean;
};
export { sassGeneralRule };
